# TargetJdk

enum TargetJdk

Represents the PMD targetjdk property available for PMD <5.0

## Entries

VERSION_1_3
Link copied to clipboard
VERSION_1_3
VERSION_1_4
Link copied to clipboard
VERSION_1_4
VERSION_1_5
Link copied to clipboard
VERSION_1_5
VERSION_1_6
Link copied to clipboard
VERSION_1_6
VERSION_1_7
Link copied to clipboard
VERSION_1_7
VERSION_JSP
Link copied to clipboard
VERSION_JSP

## Functions

getName
Link copied to clipboard
open fun getName(): String
toString
Link copied to clipboard
open fun toString(): String
toVersion
Link copied to clipboard
@Nullable
open fun toVersion(@Nullable value: @Nullable Any): @Nullable TargetJdk
Converts the given object into a `TargetJdk`.
valueOf
Link copied to clipboard
open fun valueOf(name: String): TargetJdk

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TargetJdk>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.